DecodeResult

com.hsm.barcode

## Class DecodeResult

- java.lang.Object
- - com.hsm.barcode.DecodeResult

-     public class DecodeResult
      extends java.lang.Object

  Used to store decoded results data

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `aimId` This variable will contain the AIM ID for the decoded symbology
    `byte` | `aimModifier` This variable will contain the code modifier for the decoded symbology
    `java.lang.String` | `barcodeData` This variable will contain the barcode data as a string type
    `byte[]` | `byteBarcodeData` This variable will contain the barcode data as a byte[] type
    `byte` | `codeId` This variable will contain the Honeywell Code ID for the decoded symbology
    `int` | `length` This variable will contain the length of the barcode data that was decoded

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecodeResult()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### barcodeData

          public java.lang.String barcodeData

      This variable will contain the barcode data as a string type

    - #### codeId

          public byte codeId

      This variable will contain the Honeywell Code ID for the decoded symbology

    - #### aimId

          public byte aimId

      This variable will contain the AIM ID for the decoded symbology

    - #### aimModifier

          public byte aimModifier

      This variable will contain the code modifier for the decoded symbology

    - #### length

          public int length

      This variable will contain the length of the barcode data that was decoded

    - #### byteBarcodeData

          public byte[] byteBarcodeData

      This variable will contain the barcode data as a byte[] type

  - ### Constructor Detail

    - #### DecodeResult

          public DecodeResult()